/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The StrategyListResponse model module.
 * @module model/StrategyListResponse
 * @version 2021.12-dev21
 */
class StrategyListResponse {
    /**
     * Constructs a new <code>StrategyListResponse</code>.
     * @alias module:model/StrategyListResponse
     * @param strategies {Array.<String>} 
     */
    constructor(strategies) { 
        
        StrategyListResponse.initialize(this, strategies);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, strategies) { 
        obj['strategies'] = strategies;
    }

    /**
     * Constructs a <code>StrategyListResponse</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/StrategyListResponse} obj Optional instance to populate.
     * @return {module:model/StrategyListResponse} The populated <code>StrategyListResponse</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new StrategyListResponse();

            if (data.hasOwnProperty('strategies')) {
                obj['strategies'] = ApiClient.convertToType(data['strategies'], ['String']);
            }
        }
        return obj;
    }


}

/**
 * @member {Array.<String>} strategies
 */
StrategyListResponse.prototype['strategies'] = undefined;






export default StrategyListResponse;

